Autor Thema: Updates aktueller Plugins  (Gelesen 99711 mal)

grimes

  • * Tutorialschreiber *
  • Administrator
  • *
  • Beiträge: 2398
Re: Updates aktueller Plugins
« Antwort #105 am: 12. Januar 2017, 13:06:28 »
Oscilloscope Direct2D (foo_vis_oscilloscope_d2d) Neu!
2017-01-07

Zitat
Oscilloscope visualization with Direct2D rendering for foobar2000
Joseph Mallord William Turner (1775-1851) - Die kämpfende Temeraire (1838)

fbuser

  • Globaler Moderator
  • *
  • Beiträge: 287
Re: Updates aktueller Plugins
« Antwort #106 am: 09. August 2017, 21:50:04 »
SQLite Viewer 1.1.0 (foo_sqlite)Updater
2017-08-09
Zitat
1.1.0: 
- fixed: the strpos function caused an endless loop, if the search pattern was longer than the searched string
- added: the modules csv, eval, fileio, series and totype from the sqlite source tree as autoloaded modules
- added: the module md5 as autoloaded module
- added: the module unicode as autoloaded module
- added: the module uuid as autoloaded module
- added: the modules damerau_levenshtein, levenshtein and metaphone as autoloaded modules
- added: the custom functions regexp (which also implements the REGEXP operator of SQLite), regexp_replace, regexp_replace_first and regexp_search
- added: the custom function strsortgroup
- other: upgrade to SQLite 3.20.0

[CUI/DUI] SQL Tree 2.03 (foo_uie_sql_tree)Updater
2017-08-09
Zitat
2.0.3   
- fixed: rare crash during drag and drop operations
- fixed: a query which contained parentheses inside a string were not properly parsed in a node query
- other: at least foo_sqlite 1.1.0 is required

grimes

  • * Tutorialschreiber *
  • Administrator
  • *
  • Beiträge: 2398
Re: Updates aktueller Plugins
« Antwort #107 am: 18. Januar 2018, 20:57:15 »
JScript Panel v2.0.0 (foo_jscript_panel)
2018-01-18

WICHTIG! Diese Version ist nicht kompatibel mit alten Skripten, d.h. fast alle JScripte müssen angepasst werden. Diese Version ist nicht kompatibel mit tedgos DarkOne!

Zitat
v2.0.0
- CHG: Requires foobar2000 v1.4. It will not load with anything earlier.
- CHG: fb.Trace has been removed and replaced with a native console.log method.
       It takes multiple arguments as before.
- CHG: All callbacks/methods with "Color" in the name have been renamed
       with "Colour". This will break most scripts!
       on_colors_changed -> on_colours_changed
       utils.ColorPicker -> utils.ColourPicker
       utils.GetSysColor -> utils.GetSysColour
       window.GetColorCUI -> window.GetColourCUI
       window.GetColorDUI -> window.GetColourDUI
       IGdiBitmap GetColorScheme -> GetColourScheme
- CHG: The IFbPlaybackQueueItem interface and plman.CreatePlaybackQueueItem
       method have been removed.
- CHG: plman.GetPlaybackQueueContents has been replaced with plman.GetPlaybackQueueHandles
       which returns a handle list. You can check the Count property so there is no longer
       any need for plman.GetPlaybackQueueCount and plman.IsPlaybackQueueActive
       which have been removed.
- CHG: on_refresh_background_done and window.GetBackgroundImage have both
       been removed.
- CHG: The IGdiBitmap BoxBlur method has been removed. Try StackBlur instead.
- CHG: IContextMenuManager InitContext only accepts a handle list as an argument.
- CHG: Anyone who has a "js_settings" folder in their foobar2000 profile folder
       from using my previous samples should move the contents in to the "js_data"
       folder. Typically, this would be autoplaylists.json, thumbs.ini, listenbrainz.ini.
- NEW: Enable Windows XP support. Also, support for Vista/7/WINE with IE7/IE8 has
       been restored. ES5 features are still supported for those with IE9 or later.
       If your scripts crash after upgrading and making the changes outlined above, make
       sure to check the "Script Engine" setting in the "Configuration Window".
- NEW: Add utils.WriteTextFile. Always creates a UTF8-BOM file.
- NEW: Add window.Name property. See docs\interfaces.txt.
- NEW: Add a custom "Playback Stats" backend and "handle" methods for writing values.
       This has had breaking changes since "Beta4" so any existing users must look at updated
       wiki and update their script. All previously saved data should be fine.

See the following pages for full details:
https://github.com/marc2k3/foo_jscript_panel/wiki/Breaking-Changes
https://github.com/marc2k3/foo_jscript_panel/wiki/Configuration-Window
https://github.com/marc2k3/foo_jscript_panel/wiki/WINE
https://github.com/marc2k3/foo_jscript_panel/tree/master/foo_jscript_panel/samples
https://github.com/marc2k3/foo_jscript_panel/wiki/Playback-Stats
« Letzte Änderung: 19. Januar 2018, 15:20:56 von grimes »
Joseph Mallord William Turner (1775-1851) - Die kämpfende Temeraire (1838)

grimes

  • * Tutorialschreiber *
  • Administrator
  • *
  • Beiträge: 2398
Re: Updates aktueller Plugins
« Antwort #108 am: 22. März 2018, 10:51:42 »
foo_run 0.3.8
2018-03-22

Zitat
CHG: preference page now uses apply logic and doesn't display legacy warning anymore.
CHG: removed some outdated default services and added Wikipedia and DuckDuckGo.
CHG: updated to foobar2000 SDK 2018-03-06
Joseph Mallord William Turner (1775-1851) - Die kämpfende Temeraire (1838)